<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core"

>


<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Mes processus de recrutement</title>
    </ui:define>

    <ui:define name="content">

        <h:outputScript library="js" name="myProcess.js"></h:outputScript>

        <div class="global">

            <div class="filterAndTitleAndAdd"
                 style="display: flex; flex-direction: row; justify-content: space-between; margin-bottom: 2rem;">
                <div class="filter"
                     style="display: flex; flex-direction: column; justify-content: center; margin-left: 4vh;flex: 1;">
                    <h:form>
                        <b:button look="warning" value="Filter" size="lg">
                        </b:button>
                    </h:form>
                </div>
                <div class="title" style="display: flex; flex-direction: column; justify-content: center;flex: 8;">
                    <h1 style="text-align: center">Mes processus de recrutement</h1>
                </div>
                <div class="title" style="display: flex; flex-direction: column; justify-content: center;flex: 1;">

                </div>
            </div>


            <c:forEach var="job"
                       items="#{mbJob.currentCandidateJob()}">

                <c:if test="#{mbJob.isThatJobIsActive(job.id) and mbStep.actualStep(job.id).stepNumber !=100}">
                    <div class="jobDetailPanel">
                        <b:panel look="info" style="margin-bottom=1rem" collapsed="true">
                            <div class="Job">
                                <f:facet name="heading" style="background-color: #DFF2FF">
                                    <div class="resumeJob"
                                         style="display: flex; flex-direction: row; justify-content: space-between;">
                                        <div class="jobTitleAndDetailButton"
                                             style="text-align:center; display: flex; flex-direction: column; justify-content: space-evenly; width: 20vw; text-align: center">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="#{job.title}"></h:outputText>
                                            <b:form style="display:flex;justify-content:center;">
                                                <div class="gestionButton"
                                                     style="display: flex; flex-direction: column; justify-content: center; align-content: center;">
                                                    <h:form>
                                                    <b:commandButton look="primary" value="Voir la fiche du poste"
                                                                     action="#{mbJob.RedirectCandidateToDetailJob(job.getId())}"></b:commandButton>
                                                    </h:form>
                                                </div>
                                            </b:form>
                                        </div>
                                        <div class="processBox"
                                             style=" text-align: center; display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center;width: 15vw;">

                                            <b:panel title="Etape en cours" look="warning" collapsible="false">
                                                <div style="text-align: center"><h:outputText
                                                        style="color: black; font-weight: bold"
                                                        value="#{mbStep.actualStep(job.id).getName()}"/>
                                                </div>
                                            </b:panel>
                                        </div>

                                        <div class="gestionButton"
                                             style=" display: flex; flex-direction: column; justify-content: space-evenly; align-content: center; margin-right: 4vw; width: 20vw">
                                            <c:if test="#{mbStep.actualStep(job.id).getStepNumber() =='1'}">
                                                <h:form style="display:flex; align-content: flex-end;flex-direction: column;">
                                                    <b:commandButton style="margin-bottom:2vh"
                                                                     action="#{mbStep.validStepByCandidate(job.id)}"
                                                                     value="Ce poste m'interesse"
                                                                     look="success"></b:commandButton>
                                                    <b:commandButton action="#{mbStep.invalidStepByCandidate(job.id)}"
                                                                     value="Ce poste ne m'interesse pas"
                                                                     look="danger"></b:commandButton>
                                                </h:form>
                                            </c:if>
                                            <c:if test="#{mbStep.actualStep(job.id).getStepNumber() !='1' and mbStep.actualStep(job.id).getStepNumber() !='100'}">
                                                <h:form style="display:flex; align-content: flex-end;flex-direction: column;">
                                                    <b:commandButton look="danger" style="color=white;"
                                                                     value="Annuler ma candidature"
                                                                     action="#{mbStep.invalidStepByCandidate(job.id)}"
                                                    ></b:commandButton>
                                                </h:form>
                                            </c:if>

                                        </div>

                                    </div>
                                </f:facet>
                         <h:form>
                                <c:if test="#{mbStep.actualStep(job.id).getStepNumber() !='100'}">
                                    <b:well class="detailJob"
                                            style="display: flex;flex-direction: row;justify-content: space-between;">
                                        <c:forEach var="step" items="#{mbStep.finishedStep(job.id)}">
                                            <c:if test="#{step.stepNumber ==1}">
                                                <b:panel style="width:20vh;text-align:center "
                                                         title="Proposition acceptée"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                            <c:if test="#{step.stepNumber !=1 and step.stepNumber !=2}">
                                                <b:panel style="width:20vh;text-align:center " title="#{step.name}"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                            <c:if test="#{step.stepNumber ==2}">
                                                <b:panel style="width:20vh;text-align:center " title="Cv validé"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                        </c:forEach>
                                        <b:panel style="width:20vh;text-align:center "
                                                 title="#{mbStep.actualStep(job.id).getName()}" look="warning"
                                                 collapsible="false">
                                        </b:panel>
                                        <div class="iconForNext"
                                             style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                            <b:iconAwesome value="fa-angle-right" size="5x"
                                                           class="icon-next"></b:iconAwesome>
                                        </div>
                                        <c:forEach var="step" items="#{mbStep.toDoStep(job.id)}">
                                            <b:panel style="width:20vh;text-align:center " title="#{step.name}"
                                                     collapsible="false">
                                            </b:panel>
                                            <div class="iconForNext"
                                                 style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                <b:iconAwesome value="fa-angle-right" size="5x"
                                                               class="icon-next"></b:iconAwesome>
                                            </div>
                                        </c:forEach>
                                        <div class="iconForNext"
                                             style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                            <b:iconAwesome value="fa-check-square-o" size="5x" class="icon-next"
                                                           style="color:green"></b:iconAwesome>
                                        </div>
                                    </b:well>
                                </c:if>
                         </h:form>
                            </div>
                        </b:panel>
                    </div>
                </c:if>
                <c:if test="#{mbJob.isThatJobIsActive(job.id) and mbStep.actualStep(job.id).stepNumber ==100}">
                    <div class="jobDetailPanel">
                        <b:panel style="margin-bottom=1rem" collapsible="false" disabled="true">
                            <div class="Job">
                                <f:facet name="heading" style="background-color: #DFF2FF">
                                    <div class="resumeJob"
                                         style="display: flex; flex-direction: row; justify-content: space-between;">
                                        <div class="jobTitleAndDetailButton"
                                             style="text-align:center; display: flex; flex-direction: column; justify-content: space-evenly; width: 20vw; text-align: center">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="#{job.title}"></h:outputText>
                                            <b:form style="display:flex;justify-content:center;">
                                                <div class="gestionButton"
                                                     style="display: flex; flex-direction: column; justify-content: center; align-content: center;">
                                                    <h:form>
                                                    <b:commandButton look="primary" value="Voir la fiche du poste"
                                                                     action="#{mbJob.RedirectCandidateToDetailJob(job.getId())}"></b:commandButton>
                                                    </h:form>
                                                </div>
                                            </b:form>
                                        </div>
                                        <div class="processBox"
                                             style=" text-align: center; display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center;width: 15vw;">

                                            <b:panel look="warning" collapsible="false">
                                                <div style="text-align: center"><h:outputText
                                                        style="color: black; font-weight: bold"
                                                        value="Vous êtes sorti du processus de recrutement sur ce poste"/>
                                                </div>
                                            </b:panel>
                                        </div>
                                    </div>
                                </f:facet>
                            </div>
                        </b:panel>
                    </div>
                </c:if>
                <c:if test="#{!mbJob.isThatJobIsActive(job.id) and mbJob.hiredCandidateOnTheJob(job.id).id != mbLogin.sessionCandidate.id}">
                    <div class="jobDetailPanel">
                        <b:panel disabled="true" style="margin-bottom=1rem" collapsed="true">
                            <div class="Job">
                                <f:facet name="heading" style="background-color: #DFF2FF">
                                    <div class="resumeJob"
                                         style="display: flex; flex-direction: row; justify-content: space-between;">
                                        <div class="jobTitleAndDetailButton"
                                             style="text-align:center; display: flex; flex-direction: column; justify-content: space-evenly; width: 20vw; text-align: center">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="#{job.title}"></h:outputText>
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="Poste clos"></h:outputText>
                                            <b:form style="display:flex;justify-content:center;">
                                                <div class="gestionButton"
                                                     style="display: flex; flex-direction: column; justify-content: center; align-content: center;">
                                                    <h:form>
                                                    <b:commandButton look="info" value="Voir la fiche du poste"
                                                                     action="#{mbJob.RedirectCandidateToDetailJob(job.getId())}"></b:commandButton>
                                                    </h:form>
                                                </div>
                                            </b:form>
                                        </div>
                                        <div class="processBox"
                                             style=" text-align: center; display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center;width: 15vw;">

                                            <b:panel title="Etape en cours" look="warning" collapsible="false">
                                                <div style="text-align: center"><h:outputText
                                                        style="color: black; font-weight: bold"
                                                        value="#{mbStep.actualStep(job.id).getName()}"/>
                                                </div>
                                            </b:panel>
                                        </div>
                                    </div>
                                </f:facet>
                                <h:form>
                                <c:if test="#{mbStep.actualStep(job.id).getStepNumber() !='100'}">
                                    <b:well class="detailJob"
                                            style="display: flex;flex-direction: row;justify-content: space-between;">
                                        <c:forEach var="step" items="#{mbStep.finishedStep(job.id)}">
                                            <c:if test="#{step.stepNumber ==1}">
                                                <b:panel style="width:20vh;text-align:center "
                                                         title="Proposition acceptée"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                            <c:if test="#{step.stepNumber !=1 and step.stepNumber !=2}">
                                                <b:panel style="width:20vh;text-align:center " title="#{step.name}"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                            <c:if test="#{step.stepNumber ==2}">
                                                <b:panel style="width:20vh;text-align:center " title="Cv validé"
                                                         look="success"
                                                         collapsible="false">
                                                    <div style="text-align: center">
                                                        <b:iconAwesome size="5x" value="fa-check-circle-o"
                                                                       style="color:green"></b:iconAwesome>
                                                    </div>
                                                </b:panel>
                                                <div class="iconForNext"
                                                     style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                    <b:iconAwesome value="fa-angle-right" size="5x"
                                                                   class="icon-next"></b:iconAwesome>
                                                </div>
                                            </c:if>
                                        </c:forEach>
                                        <b:panel style="width:20vh;text-align:center "
                                                 title="#{mbStep.actualStep(job.id).getName()}" look="warning"
                                                 collapsible="false">
                                        </b:panel>
                                        <div class="iconForNext"
                                             style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                            <b:iconAwesome value="fa-angle-right" size="5x"
                                                           class="icon-next"></b:iconAwesome>
                                        </div>
                                        <c:forEach var="step" items="#{mbStep.toDoStep(job.id)}">
                                            <b:panel style="width:20vh;text-align:center " title="#{step.name}"
                                                     collapsible="false">
                                            </b:panel>
                                            <div class="iconForNext"
                                                 style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                <b:iconAwesome value="fa-angle-right" size="5x"
                                                               class="icon-next"></b:iconAwesome>
                                            </div>
                                        </c:forEach>
                                        <div class="iconForNext"
                                             style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                            <b:iconAwesome value="fa-check-square-o" size="5x" class="icon-next"
                                                           style="color:green"></b:iconAwesome>
                                        </div>
                                    </b:well>
                                </c:if>
                                </h:form>
                            </div>
                        </b:panel>
                    </div>
                </c:if>
                <c:if test="#{!mbJob.isThatJobIsActive(job.id) and mbJob.hiredCandidateOnTheJob(job.id).id == mbLogin.sessionCandidate.id}">
                    <div class="jobDetailPanel">
                        <b:panel disabled="true" look="success" style="margin-bottom=1rem" collapsed="true">
                            <div class="Job">
                                <f:facet name="heading" style="background-color: #DFF2FF">
                                    <div class="resumeJob"
                                         style="display: flex; flex-direction: row; justify-content: space-between;">
                                        <div class="jobTitleAndDetailButton"
                                             style="text-align:center; display: flex; flex-direction: column; justify-content: space-evenly; width: 20vw; text-align: center">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="#{job.title}"></h:outputText>

                                            <b:form style="display:flex;justify-content:center;">
                                                <div class="gestionButton"
                                                     style="display: flex; flex-direction: column; justify-content: center; align-content: center;">
                                                    <h:form>
                                                    <b:commandButton look="info" value="Voir la fiche du poste"
                                                                     action="#{mbJob.RedirectCandidateToDetailJob(job.getId())}"></b:commandButton>
                                                </h:form>
                                                </div>
                                            </b:form>
                                        </div>
                                        <div style="display: flex;flex-direction: column">
                                            <h:outputText style="font-weight: bold; color: black; font-size: medium"
                                                          value="Vous avez été recruté sur ce poste, Félicitation !"></h:outputText>
                                            <div class="iconForNext"
                                                 style="text-align: center; display: flex; flex-direction: column;justify-content: center; margin-right: 1vw;margin-left: 1vw">
                                                <b:iconAwesome value="fa-check-square-o" size="5x" class="icon-next"
                                                               style="color:green"></b:iconAwesome>
                                            </div>
                                        </div>
                                        <div class="processBox"
                                             style=" text-align: center; display: flex; flex-direction: column; margin: 1rem; border-radius: 5px; align-content: center; justify-content: center;width: 15vw;">

                                        </div>
                                    </div>
                                </f:facet>
                            </div>
                        </b:panel>
                    </div>
                </c:if>
            </c:forEach>

        </div>
    </ui:define>
</ui:composition>

</html>